### Hierarchy

- BitcoinUtils

## Index

### Methods

- isValidAddress
- isValidPublicKey
- isValidSignature
- signedMessageToPublicKey

## Methods

### Static isValidAddress

- isValidAddress(address: string): boolean

- - Defined in utils/BitcoinUtils.ts:12

  #### Parameters

  - ##### address: string

  #### Returns boolean

### Static isValidPublicKey

- isValidPublicKey(publicKey: string): boolean

- - Defined in utils/BitcoinUtils.ts:8

  #### Parameters

  - ##### publicKey: string

  #### Returns boolean

### Static isValidSignature

- isValidSignature(publicKey: string, msg: string, sig: string): boolean

- - Defined in utils/BitcoinUtils.ts:16

  #### Parameters

  - ##### publicKey: string

  - ##### msg: string

  - ##### sig: string

  #### Returns boolean

### Static signedMessageToPublicKey

- signedMessageToPublicKey(msg: string, sig: string): string

- - Defined in utils/BitcoinUtils.ts:33

  #### Parameters

  - ##### msg: string

  - ##### sig: string

  #### Returns string

Generated using TypeDoc